{
  "name": "pix-certif",
  "version": "3.10.1+3.325.0",
  "private": false,
  "description": "Plateforme en ligne de gestion des sessions de certification",
  "license": "AGPL-3.0",
  "author": "Projet écri+",
  "engines": {
    "node": "16",
    "npm": ">=8.13.2 <9"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/ecriplus/ecriplustests/ecriplustests.git"
  },
  "ember": {
    "edition": "octane"
  },
  "directories": {
    "doc": "docs",
    "test": "tests"
  },
  "scripts": {
    "build": "ember build --environment $BUILD_ENVIRONMENT && npm run build:uncached:assets",
    "build:uncached:assets": "cp dist/assets/pix-certif-*.css dist/assets/pix-certif.uncached.css && cp dist/assets/vendor-*.css dist/assets/vendor.uncached.css",
    "clean": "rm -rf tmp dist node_modules",
    "dev": "ember serve",
    "lint": "npm-run-all --parallel --continue-on-error lint:*",
    "lint:hbs": "ember-template-lint .",
    "lint:js": "eslint . --cache --cache-strategy content",
    "lint:js:uncached": "eslint .",
    "lint:scss": "stylelint app/styles/*.scss app/styles/**/*.scss",
    "preinstall": "npx check-engine",
    "start": "ember serve --proxy http://localhost:3000",
    "test": "ember test --reporter dot",
    "test:ci": "npm run test",
    "test:lint": "npm test && npm run lint",
    "test:watch": "ember exam --serve --reporter dot"
  },
  "devDependencies": {
    "@1024pix/ember-testing-library": "^0.5.0",
    "@1024pix/pix-ui": "^26.0.0",
    "@1024pix/stylelint-config": "^1.0.1",
    "@babel/eslint-parser": "^7.19.1",
    "@babel/plugin-proposal-decorators": "^7.20.5",
    "@ember/optional-features": "^2.0.0",
    "@ember/test-helpers": "^2.8.1",
    "@formatjs/intl": "^2.5.1",
    "@fortawesome/ember-fontawesome": "^0.4.1",
    "@fortawesome/free-brands-svg-icons": "^6.2.1",
    "@fortawesome/free-regular-svg-icons": "^6.2.1",
    "@fortawesome/free-solid-svg-icons": "^6.2.1",
    "@glimmer/component": "^1.1.2",
    "@glimmer/tracking": "^1.1.2",
    "broccoli-asset-rev": "^3.0.0",
    "dayjs": "^1.11.6",
    "ember-api-actions": "^0.2.9",
    "ember-auto-import": "^2.4.3",
    "ember-cli": "^4.0.1",
    "ember-cli-app-version": "^5.0.0",
    "ember-cli-babel": "^7.26.11",
    "ember-cli-clipboard": "^0.16.0",
    "ember-cli-dependency-checker": "^3.3.1",
    "ember-cli-htmlbars": "^6.1.1",
    "ember-cli-inject-live-reload": "^2.1.0",
    "ember-cli-matomo-tag-manager": "^1.3.1",
    "ember-cli-mirage": "^2.4.0",
    "ember-cli-notifications": "^8.0.0",
    "ember-cli-sass": "^11.0.1",
    "ember-cli-sri": "^2.1.1",
    "ember-cli-terser": "^4.0.2",
    "ember-composable-helpers": "^4.5.0",
    "ember-data": "^4.0.2",
    "ember-dayjs": "^0.10.3",
    "ember-export-application-global": "^2.0.1",
    "ember-fetch": "^8.1.2",
    "ember-file-upload": "^7.1.0",
    "ember-flatpickr": "^3.2.3",
    "ember-inputmask": "^0.11.0",
    "ember-intl": "^5.7.2",
    "ember-keyboard": "^7.0.1",
    "ember-load-initializers": "^2.1.2",
    "ember-page-title": "^7.0.0",
    "ember-qunit": "^6.0.0",
    "ember-resolver": "^8.0.3",
    "ember-simple-auth": "^4.2.2",
    "ember-source": "^4.0.1",
    "ember-template-lint": "^4.18.0",
    "ember-template-lint-plugin-prettier": "^4.0.0",
    "ember-truth-helpers": "^3.1.1",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-ember": "^11.2.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-qunit": "^7.3.2",
    "eslint-plugin-yml": "^1.2.0",
    "faker": "^5.5.3",
    "loader.js": "^4.7.0",
    "lodash": "^4.17.21",
    "miragejs": "^0.1.46",
    "npm-run-all": "^4.1.5",
    "p-queue": "^6.3.0",
    "prettier": "^2.7.1",
    "qunit": "^2.19.3",
    "qunit-dom": "^2.0.0",
    "sass": "^1.56.1",
    "sinon": "^14.0.2",
    "stylelint": "^14.15.0",
    "stylelint-config-prettier": "^9.0.4",
    "stylelint-config-standard-scss": "^6.1.0",
    "webpack": "^5.75.0"
  }
}
